Skip to main content
GET
/
subscription_changes
List subscription changes
curl --request GET \
  --url https://api.withorb.com/v1/subscription_changes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "status": "pending",
      "expiration_time": "2023-11-07T05:31:56Z",
      "subscription_id": "<string>",
      "applied_at": "2023-11-07T05:31:56Z",
      "cancelled_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination_metadata": {
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.withorb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Query Parameters

limit
integer
default:20

The number of items to fetch. Defaults to 20.

Required range: 1 <= x <= 100
cursor
string | null

Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.

customer_id
string | null
external_customer_id
string | null
status
enum<string> | null
Available options:
pending,
applied,
cancelled

Response

OK

data
SubscriptionChangeListResponse · object[]
required
pagination_metadata
PaginationMetadata · object
required